"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCodeTest = void 0;
const config = require("../config");
const feature_flags_1 = require("../feature-flags");
const errors_1 = require("../errors");
async function isCodeTest(options) {
    if (!options.code) {
        return false;
    }
    const org = options.org || config.org;
    const featureFlag = 'snykCode';
    const snykCodeRes = await feature_flags_1.isFeatureFlagSupportedForOrg(featureFlag, org);
    if (snykCodeRes.code === 401 || snykCodeRes.code === 403) {
        throw errors_1.AuthFailedError(snykCodeRes.error, snykCodeRes.code);
    }
    if (snykCodeRes.userMessage) {
        throw new errors_1.UnsupportedFeatureFlagError(featureFlag, snykCodeRes.userMessage);
    }
    return true;
}
exports.isCodeTest = isCodeTest;
//# sourceMappingURL=validate.js.map